Уязвимость BDU:2020-01848

Дата: 21.05.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-01848.

Наименование уязвимости: Уязвимость прокси-сервера Squid, связанная с отсутствием защиты служебных данных, позволяющая нарушителю раскрыть защищаемую информацию.

Описание уязвимости: Уязвимость прокси-сервера Squid связана с отсутствием защиты служебных данных. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, раскрыть защищаемую информацию
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Fedora Project Fedora 29 | Операционная система Canonical Ltd. Ubuntu 12.04 ESM | Операционная система Canonical Ltd. Ubuntu 19.04 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Debian GNU/Linux 10.0 | Сетевое программное средство Squid Software Foundation Squid от 3.0 до 3.5.28 включительно | Сетевое программное средство Squid Software Foundation Squid от 2.0 до 2.7.STABLE9 включительно | Сетевое программное средство Squid Software Foundation Squid от 4.0 до 4.7 включительно | Операционная система ООО «РусБИТех-Астра» Astra Linux 2.12 «Орел» |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS | Ubuntu 1804 LTS | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Fedora 29 | Ubuntu 1204 ESM | Ubuntu 1904 | OpenSUSE Leap 150 | OpenSUSE Leap 151 | Debian GNU/Linux 100 | Astra Linux 212 «Орел» |
Дата выявления: 21.05.2019.
CVSS 2.0: AV:N/AC:M/Au:N/C:C/I:N/A:N
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,1)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 5,9)

Возможные меры по устранению:
Использование рекомендаций:
Для Squid:
http://www.squid-cache.org/Versions/v4/changesets/
https://github.com/squid-cache/squid/commits/v4

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2019-11/msg00053.html
https://lists.opensuse.org/opensuse-security-announce/2019-11/msg00056.html

Для Fedora:
https://lists.fedoraproject.org/archives/list/[email protected]/message/SPXN2CLAGN5QSQBTOV5IGVLDOQSRFNTZ/

Для Ubuntu:
https://usn.ubuntu.com/4065-1/
https://usn.ubuntu.com/4065-2/

Для Debian GNU/Linux:
https://www.debian.org/security/2019/dsa-4507
https://security-tracker.debian.org/tracker/CVE-2019-12529

Для Astra Linux:
Обновление программного обеспечения (пакета squid) до 4.6-1+deb10u1 или более поздней версии
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-12529.

Тип ошибки CWE: CWE-200
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://github.com/squid-cache/squid/commits/v4
https://nvd.nist.gov/vuln/detail/CVE-2019-12529
https://lists.opensuse.org/opensuse-security-announce/2019-11/msg00053.html
https://lists.opensuse.org/opensuse-security-announce/2019-11/msg00056.html
https://lists.fedoraproject.org/archives/list/[email protected]/message/SPXN2CLAGN5QSQBTOV5IGVLDOQSRFNTZ/
https://usn.ubuntu.com/4065-1/
https://usn.ubuntu.com/4065-2/
https://www.debian.org/security/2019/dsa-4507
https://security-tracker.debian.org/tracker/CVE-2019-12529

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *